package com.ruoyi.tdengine.api.domain;

import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * @Description: 设备状态对象
 * @ClassName: DeviceStatus
 * @Author : xins
 * @Date :2023-09-05  11:35
 * @Version :1.0
 */
public class DeviceStatus extends BaseEntity {

    private Long ts;

    private Long deviceId;

    private String deviceCode;

    private int deviceType;

    private int onlineStatus;

    private Long sceneId;

    public Long getTs() {
        return ts;
    }

    public void setTs(Long ts) {
        this.ts = ts;
    }

    public Long getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(Long deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public int getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(int deviceType) {
        this.deviceType = deviceType;
    }

    public int getOnlineStatus() {
        return onlineStatus;
    }

    public void setOnlineStatus(int onlineStatus) {
        this.onlineStatus = onlineStatus;
    }

    public Long getSceneId() {
        return sceneId;
    }

    public void setSceneId(Long sceneId) {
        this.sceneId = sceneId;
    }
}
